#pragma semicolon 1

#include <sourcemod>
#include <sdktools>

#include <CreateSurvivorBot>

#define PLUGIN_VERSION 				"1.0.0.0"
#define CVAR_FLAGS					FCVAR_PLUGIN|FCVAR_NOTIFY

public Plugin:myinfo = 
{
	name 			= "[L4D2]CreateSurvivorBot",
	author 			= "MicroLeo",
	description 	= "Test CreateSurvivorBot Extension",
	version 		= PLUGIN_VERSION,
	url 			= "N/A"
}

public APLRes:AskPluginLoad2(Handle:myself, bool:late, String:error[], err_max) 
{
	// This plugin will only work on L4D2
	if(GetEngineVersion() != Engine_Left4Dead2)
	{
		strcopy("only surport left 4 dead 2", err_max, error);
		return APLRes_Failure;
	}
	
	return APLRes_Success; 
}

public OnPluginStart()
{
	RegServerCmd("sm_csb_test", TestProc, "test CreateSurvivorBot function");
}

public Action:TestProc(int args)
{
	int client = CreateSurvivorBot();
	if(IsValidEntity(client))
	{
		PrintToServer("Created SurvivorBot:%d", client);
	}
	return Plugin_Handled;
}